<script setup>
import { CreatePage } from '@/app/core/pages/crud';
import model from '@/modules/product/models/variation';

import PageTitle from '@/app/components/blocks/PageTitle.vue';
import Buttons from '@/app/components/crud/form/_Buttons.vue';
import Create from '@/app/components/crud/Create.vue';
</script>

<script>
export default {
    props: {
        product: {
            type: Object,
            required: true,
        },
    },
    data() {
        return new CreatePage({
            context: this,
            title: this.__('Создание'),
            breadcrumbs: [
                {
                    label: this.__('Продукты'),
                    path: 'product/product',
                },
                {
                    label: this.__('Вариации продукта: :product', {
                        product: this.product.model_number,
                    }),
                    path: 'product/variation/' + this.product.id,
                },
            ],
            model: model,
            http: {
                method: 'POST',
                path: 'product/variation',
            },
            redirectPath: 'product/variation/' + this.product.id,
        });
    },
};
</script>

<template>
    <PageTitle :text="title">
        <Buttons />
    </PageTitle>

    <Create />
</template>
